Closed Bug 1230127 Opened 7 years ago Closed 7 years ago

Unsigned add-on is successfully installed from about:addons search list

Categories

(Toolkit :: Add-ons Manager, defect)

defect
Not set
normal

Tracking

()

RESOLVED INVALID
Tracking Status
firefox43 --- affected
firefox44 --- affected
firefox45 --- affected

People

(Reporter: vtamas, Unassigned)

References

Details

Reproducible on: Firefox 45.0a1, Firefox 44.0a2 and Firefox 43 beta 8 under Windows and Mac

STR:
1.Launch Firefox with a clean profile.
2.Navigate to about:addons.
3.Search for an unsigned add-on (e.g LastPass Password Manager) using the search bar displayed in the top right corner of the page.
4.Click “Install” button.

ER
The unsigned add-on is not installed.

AR
The unsigned add-on is successfully installed from about:addons search list.

Additional notes:
- This issue is reproducible on Firefox 45.0a1 (2015-12-02), Firefox 44.0a2 (2015-12-03) and Firefox 43 beta 8 (20151201152349) under Windows 10 64-bit and Mac Os X 10.11.1.
- I am aware that about:addons is linked to addons.mozilla.org, where should be only signed add-ons, but we might encounter bugs like Bug 1230103.
According to bug 1230103 Lastpass was correctly signed at least an hour before this bug was filed and sure enough when I try to reproduce it now I get a signed version that installs as expected. Is it possible you were installing a signed version without realising it?

How did the add-on appear in the extensions list after the restart?

Did you check the installed add-on in the profile to see if the META-INF directory existed?
Flags: needinfo?(vasilica.mihasca)
Sorry, my mistake, checked again and noticed that has been installed LastPass 3.2.21 version, which is signed. (performed the installation process via search just after I had filed the 1230103).

Tested again today and the same version of LastPass 3.2.21 is installed via search, even though the latest version (3.2.40) is now signed. I checked for updates and only after that, the LastPass add-on has been updated to the latest version.
Flags: needinfo?(vasilica.mihasca)
Is there still a reproducible issue here?
Flags: needinfo?(vasilica.mihasca)
I’m still able to reproduce the issue mentioned in Comment 2 and I filed a new bug 1231906 in order to be treated in a separate one.

(In reply to Vasilica Mihasca, QA [:vasilica_mihasca] from comment #2)
> Sorry, my mistake, checked again and noticed that has been installed
> LastPass 3.2.21 version, which is signed. (performed the installation
> process via search just after I had filed the 1230103).


Based on these mentions, I am marking this bug as Invalid.
Status: NEW → RESOLVED
Closed: 7 years ago
Flags: needinfo?(vasilica.mihasca)
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.